
Robotics Service Bus - Bug #1339
Wrong prefix in pkg-config files of the packages
01/17/2013 11:29 AM - Anonymous

Status: Resolved Start date: 01/17/2013
Priority: High Due date:
Assignee: % Done: 100%
Category: Configuration Estimated time: 0.00 hour
Target version: rsb-0.9
Description

The .pc files incorrectly define the prefix and pathes to be in /usr/local, where infact it should be /usr/, where everything is installed to.
See #1338 for further info.

Bug in trunk and previous versions.

Associated revisions
Revision 3d246293 - 01/23/2013 02:01 PM - Arne Nordmann 

Fixed prefix path in package config file

    -  CPack now sets CMAKE_INSTALL_PREFIX to its own CPACK_INSTALL_PREFIX
    -  This has to happen before config file configuration
    -  CPACK_INSTALL_PREFIX is /usr/local by default but can be set through cmake

fixes #1339

Revision 51fcb472 - 01/23/2013 02:06 PM - Arne Nordmann 

Backport: Fixed prefix path in package config file

refs #1339

History
#1 - 01/23/2013 02:07 PM - Anonymous
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-cpp|commit:3d2462937365d00f51e991f68875f5ef58560565.
